@echo off
pushd %windir%\inf
if not exist digidxb md digidxb
if exist netdgdxb.inf move netdgdxb.inf digidxb
if exist netdgdxb.pnf move netdgdxb.pnf digidxb
if exist digiisdn.inf move digiisdn.inf digidxb
if exist digiisdn.pnf move digiisdn.pnf digidxb

for %%i in (oem*.inf) do call :MoveOems %%~ni
popd
goto :EOF

:MoveOems
findstr /M CatalogFile=netdgdxb.cat %1.inf
if (%ERRORLEVEL%) == (0) move %1.inf digidxb
if (%ERRORLEVEL%) == (0) del %1.pnf
goto :EOF